LIBTITLE = diag

LIBRARY = ../lib$(LIBTITLE).a

OBJLIST = calibr.o rdtsc.o proc_hz.o set_rt.o tick2us.o delay.o
lib:	$(OBJLIST)
	ar -t $(LIBRARY)

LIBHEAD = ../lib$(LIBTITLE).h
%.o: %.c $(LIBHEAD)
	$(CXX) -c $< -o $@ 
	ar -r $(LIBRARY) $@        
	rm $@

clean:
	@rm $(LIBRARY)
